#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		debug_package	%{nil}
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	qt6-qt5compat
Version		:	6.7.3
Release		:	17.0.10.rel%{?dist}
Summary		:	Qt6 - Qt 5 Compatibility Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://download.qt.io/archive/qt/(vers/rel)/single

Source0		:	%{sname}-everywhere-src-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	cmake
BuildRequires	:	gcc-c++
BuildRequires	:	qt6-qtbase-devel
BuildRequires	:	qt6-qtdeclarative-devel
BuildRequires	:	qt6-qtshadertools-devel
BuildRequires	:	qt6-rpm-macros

#-----------------------------------------------------------------------------
%description
Qt 5 Compatibility Libraries
 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSES/*
%{_qt6_libdir}/libQt6Core5Compat.so.6*
%{_qt6_libdir}/qt6/qml/Qt5Compat/GraphicalEffects/*

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_qt6_headerdir}/QtCore5Compat/
%{_qt6_libdir}/libQt6Core5Compat.prl
%{_qt6_libdir}/libQt6Core5Compat.so
%{_qt6_libdir}/cmake/Qt6/FindWrapIconv.cmake
%{_qt6_libdir}/cmake/Qt6Qml/QmlPlugins/*.cmake
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/Qt5CompatTestsConfig.cmake
%{_qt6_libdir}/cmake/Qt6Core5Compat/*.cmake
%{_qt6_archdatadir}/mkspecs/modules/*.pri
%{_qt6_libdir}/qt6/modules/*.json
%{_qt6_libdir}/qt6/metatypes/qt6*_metatypes.json
%{_qt6_libdir}/pkgconfig/*.pc

#=============================================================================
%package		examples
Summary		:	Example files for %{name}


#-----------------------------------------------------------------------------
%description		examples
Example files for %{name}

#-----------------------------------------------------------------------------
%files			examples
%defattr(-,root,root,-)
%{_qt6_examplesdir}/

#=============================================================================
%prep
%setup -q -n %{sname}-everywhere-src-%{version}

#-----------------------------------------------------------------------------
#building application
%build

	
cmake							\
	-B _bld						\
	-G Ninja					\
	-S .						\
	-D CMAKE_MESSAGE_LOG_LEVEL=STATUS		\
	-D INSTALL_TRANSLATIONSDIR=%{_qt6_translationdir}\
	-D INSTALL_DATADIR=%{_qt6_datadir}		\
	-D INSTALL_ARCHDATADIR=%{_qt6_archdatadir}	\
	-D INSTALL_PLUGINSDIR=%{_qt6_plugindir}		\
	-D INSTALL_EXAMPLESDIR=%{_qt6_examplesdir}	\
	-D QT_BUILD_EXAMPLES_BY_DEFAULT=ON		\
	-D QT_INSTALL_EXAMPLES_SOURCES=ON		\

cmake							\
	--build						\
	_bld						\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install					\
	_bld

#-----------------------------------------------------------------------------
%changelog
